Last Comment Bug 337625 - If an OpenSearch search plugin includes an Url tag with type other than text/html then it doesn't install
: If an OpenSearch search plugin includes an Url tag with type other than text/...
Status: RESOLVED FIXED
: fixed1.8.1
Product: Firefox
Classification: Client Software
Component: Search (show other bugs)
: 2.0 Branch
: All All
: P1 major (vote)
: Firefox 2 beta1
Assigned To: :Gavin Sharp [email: gavin@gavinsharp.com]
:
Mentors:
http://www.edazzle.net/os/
Depends on:
Blocks: 335691
  Show dependency treegraph
 
Reported: 2006-05-11 11:53 PDT by Paul Millar
Modified: 2006-06-22 20:46 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (3.36 KB, patch)
2006-05-14 17:45 PDT, :Gavin Sharp [email: gavin@gavinsharp.com]
mconnor: review+
mconnor: approval‑branch‑1.8.1+
Details | Diff | Splinter Review

Description Paul Millar 2006-05-11 11:53:42 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a1) Gecko/20060511 Minefield/3.0a1
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a1) Gecko/20060511 Minefield/3.0a1

If an OpenSearch, (as an OpenSearch description document) plugin includes an Url tag which isn't type="text/html" then it won't install in the search bar. This happens even when there is an Url tag with type="text/html". 

Reproducible: Always

Steps to Reproduce:
1. Goto http://www.edazzle.net/os/
2. Click on the drop down list of search plugins
3. Click on one of tthe Add Amazon entries

Actual Results:  
Download error

Expected Results:  
The search plugin to be added to the search bar drop down list of installed plugins

Installs plugins fine when Url tag attribute type is set to "text/html" and is the only Url tag in the file.
Comment 1 :Gavin Sharp [email: gavin@gavinsharp.com] 2006-05-11 12:37:21 PDT
http://bonsai.mozilla.org/cvsblame.cgi?file=mozilla/browser/components/search/nsSearchService.js&rev=1.22#1118

Need to check whether we've already found a valid URL instead of clobbering any existing ones.

Paul: if you want to, you should be able to work around this issue by putting the type="text/html" <URL> last in the plugin files.
Comment 2 :Gavin Sharp [email: gavin@gavinsharp.com] 2006-05-14 17:45:01 PDT
Created attachment 221995 [details] [diff] [review]
patch
Comment 3 :Gavin Sharp [email: gavin@gavinsharp.com] 2006-05-29 12:23:26 PDT
mozilla/browser/components/search/nsSearchService.js 	1.1.2.25
mozilla/browser/components/search/nsSearchService.js 	1.31
Comment 4 Joan Junyent 2006-06-22 20:25:17 PDT
I've seen this bug is fixed in the 3.0 branch. But, is it going to be fixed in the 2.0 branch as well?

I'm experimenting the same problem with: Mozilla/5.0 (Windows; U; Windows NT 5.1; ca; rv:1.8.0.4) Gecko/20060508 Firefox/1.5.0.4
Comment 5 :Gavin Sharp [email: gavin@gavinsharp.com] 2006-06-22 20:46:12 PDT
(In reply to comment #4)
> I've seen this bug is fixed in the 3.0 branch. But, is it going to be fixed in
> the 2.0 branch as well?

It is fixed on the 1.8 branch (Bon Echo nightly builds), see the "fixed1.8.1" keyword. If you have evidence to the contrary, please file a separate bug?

Note You need to log in before you can comment on or make changes to this bug.